Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 86555

Summary: OpenLDAP crash, refuses to restart until TLS config removed
Product: [Retired] Red Hat Linux Reporter: Graham Leggett <minfrin>
Component: openldapAssignee: Jay Fenlason <fenlason>
Status: CLOSED CANTFIX QA Contact: Jay Turner <jturner>
Severity: high Docs Contact:
Priority: medium    
Version: 7.3CC: jfeeney, mattdm, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 16:47:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Graham Leggett 2003-03-25 14:06:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.3) Gecko/20030318

Description of problem:
A server had been configured with openldap and system auth via LDAP, and this
worked fine.

After the system had worked fine for about 6 months or so, openldap shut itself
down and refused to restart. Attempts to restart resulted in the following error
and [failed]:

slapd[6980]: main: TLS init def ctx failed: 0

When the TLSCertificateFile and TLSCertificateKeyFile directives were commented
out, the server started up again. The certificate and key to which these
directives are pointing are readable by LDAP and have not been modified in
months. They are still valid (being valid for ten years).


Version-Release number of selected component (if applicable):
oopenldap-2.0.27-2.7.3

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:

Comment 1 Bill Nottingham 2006-08-05 05:04:52 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 2 Bill Nottingham 2006-10-18 16:47:38 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.